### Method

# EDataCal CalBackend get_attachment_uris_finish

since: 3.10

#### Declaration [src]

    gboolean
    e_cal_backend_get_attachment_uris_finish (
      ECalBackend* backend,
      GAsyncResult* result,
      GQueue* out_attachment_uris,
      GError** error
    )

#### Description [src]

Finishes the operation started with e_cal_backend_get_attachment_uris().

The requested attachment URI strings are deposited in `out_attachment_uris`. Free the returned strings with `g_free()` when finished with them.

If an error occurred, the function will set `error` and return `FALSE`. Note that an empty result set does not necessarily imply an error.

Available since: 3.10

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`out_attachment_uris`

  Type: `GQueue`

  A `GQueue` in which to deposit results.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.